@echo off
: ##########################################################################
: # ****************************************************************************
: #
: # $Id: mkzip.bat $
: #
: # ****************************************************************************
: #
: # Creates a zip file of current site in temp directory
: #
: # Please note: This is "employee written software", which means that you're 
: # welcome to use it, but we don't guarantee that it'll actually work ;-). 
: # We do however appreciate any comments you may have via support@health-comm.de.
: # Copyright (c) E.Novation B.V / Health-Comm GmbH.
: # 
: # Author: Ger Buurman, E.Novation B.V.
: #			Dirk Engels, Health-Comm GmbH
: #

CLS

ECHO.
ECHO This procedure creates a site specific (HCISITE) compressed backup of the 
ECHO Cloverleaf site directory in "\temp\sitename_datetime.zip"
ECHO Mkzip will create, if necessary, a \temp directory at the root of your 
ECHO current directory path.
ECHO.

IF [%HCISITE%]==[] GOTO NoRootSet
IF [%HCIROOT%]==[] GOTO NoRootSet
IF [%HCISITEDIR%]==[] GOTO NoRootSet

:Help
IF NOT %1'==/?' GOTO Begin
ECHO.
ECHO Syntax: Just type 'mkzip' without quotes
ECHO.
GOTO End

:NoRootSet
ECHO.
ECHO Cloverleaf Doctools XML, site backup script
ECHO                          Copyright E.Novation B.V.
ECHO.
ECHO Error: Please start a command prompt and do setroot and setsite first! 
ECHO        Alternatively, start a shell window from the Launchpad and
ECHO        navigate to the directory where you have this file.
ECHO.
PAUSE
GOTO End

:Begin
IF %OS%'==Windows_NT' GOTO %OS%
SET MKZIPDT=0000
GOTO Compress

:Windows_NT
REM Expected is that the year is the last in sequence
FOR %%V IN (DATE TIME) DO SET %%V=
FOR /F "Tokens=2" %%D IN ('DATE /T') DO SET DATE=%%D
FOR /F "Tokens=3 Delims=-./\\" %%D IN ("%DATE%") DO SET MKZIPDT=%%D
FOR /F "Tokens=2 Delims=-./\\" %%D IN ("%DATE%") DO SET MKZIPDT=%MKZIPDT%%%D
FOR /F "Tokens=1 Delims=-./\\" %%D IN ("%DATE%") DO SET MKZIPDT=%MKZIPDT%%%D

FOR /F            %%D IN ('TIME /T') DO SET TIME=%%D
FOR /F "Tokens=1 Delims=:" %%D IN ("%TIME%") DO SET MKZIPDT=%MKZIPDT%%%D
FOR /F "Tokens=2 Delims=:" %%D IN ("%TIME%") DO SET MKZIPDT=%MKZIPDT%%%D

:Compress
IF NOT EXIST \temp MKDIR \temp
ECHO Moving, if necessary, existing zip and log file to \temp\*.old
IF EXIST \temp\%HCISITE%_%MKZIPDT%.zip MOVE /Y \temp\%HCISITE%_%MKZIPDT%.zip \temp\%HCISITE%_%MKZIPDT%.zip.old
IF EXIST \temp\mkzip.log MOVE /Y \temp\mkzip.log \temp\mkzip.log.old
CD %HCIROOT%

ECHO Start compressing....
ECHO Starting compression at %MKZIPDT% %TIME% >>\temp\mkzip.log 2>&1

ECHO Trying to compress ROOT-Ressourcen

ECHO Trying to compress %HCIROOT%\java_src
zip  -r9  \temp\%HCISITE%_%MKZIPDT%.zip java_src >>\temp\mkzip.log 2>&1
ECHO Trying to compress %HCIROOT%\jcoConnections
zip  -r9  \temp\%HCISITE%_%MKZIPDT%.zip jcoConnections >>\temp\mkzip.log 2>&1
ECHO Trying to compress %HCIROOT%\java_uccs
zip  -r9  \temp\%HCISITE%_%MKZIPDT%.zip java_uccs >>\temp\mkzip.log 2>&1
ECHO Trying to compress %HCIROOT%\vers\license.dat
zip  -9 \temp\%HCISITE%_%MKZIPDT%.zip vers\license.dat >>\temp\mkzip.log 2>&1

ECHO Trying to compress SITE-Ressourcen

ECHO Trying to compress %HCISITE%\*
zip  -9  \temp\%HCISITE%_%MKZIPDT%.zip %HCISITE%\* >>\temp\mkzip.log 2>&1
ECHO Trying to compress %HCISITE%\Alerts
zip  -r9 \temp\%HCISITE%_%MKZIPDT%.zip %HCISITE%\Alerts >>\temp\mkzip.log 2>&1
REM ECHO Trying to compress %HCISITE%\exec\processes
REM zip  -r9 \temp\%HCISITE%_%MKZIPDT%.zip %HCISITE%\exec\processes >>\temp\mkzip.log 2>&1
ECHO Trying to compress %HCISITE%\formats
zip  -r9 \temp\%HCISITE%_%MKZIPDT%.zip %HCISITE%\formats >>\temp\mkzip.log 2>&1
ECHO Trying to compress %HCISITE%\java_uccs
zip  -r9 \temp\%HCISITE%_%MKZIPDT%.zip %HCISITE%\java_uccs >>\temp\mkzip.log 2>&1
ECHO Trying to compress %HCISITE%\pdls
zip  -r9 \temp\%HCISITE%_%MKZIPDT%.zip %HCISITE%\pdls >>\temp\mkzip.log 2>&1
ECHO Trying to compress %HCISITE%\Tables
zip  -r9 \temp\%HCISITE%_%MKZIPDT%.zip %HCISITE%\Tables >>\temp\mkzip.log 2>&1
ECHO Trying to compress %HCISITE%\tclprocs
zip  -r9 \temp\%HCISITE%_%MKZIPDT%.zip %HCISITE%\tclprocs >>\temp\mkzip.log 2>&1
ECHO Trying to compress %HCISITE%\views
zip  -r9 \temp\%HCISITE%_%MKZIPDT%.zip %HCISITE%\views >>\temp\mkzip.log 2>&1
ECHO Trying to compress %HCISITE%\Xlate
zip  -r9 \temp\%HCISITE%_%MKZIPDT%.zip %HCISITE%\Xlate >>\temp\mkzip.log 2>&1
ECHO Trying to compress \temp\mkzip.log
zip  -9  \temp\%HCISITE%_%MKZIPDT%.zip \temp\mkzip.log >nul: 2>&1
ECHO Finished compressing!

:End
ECHO.
ECHO  ---- Find the resulting zip file in \temp\%HCISITE%_%MKZIPDT%.zip ----
ECHO  ---- Find the full zip logfile in \temp\mkzip.log and zip file ----
ECHO.
ECHO Please note: This is "employee written software", which means that you're 
ECHO welcome to use it, but we don't guarantee that it'll actually work ;-). 
ECHO We do however appreciate any comments you may have via cloverleaf@lifeline.nl.
ECHO Copyright (c) E.Novation B.V.
ECHO.

SET DATE=
SET TIME=
SET MKZIPDT=

